<div class="title-group">
    <h1 class="mat-h1">Trending stocks</h1>
    <mat-divider fxFlex="1 0"></mat-divider>
</div>

<div class="container">
    <div class="mat-elevation-z8">
        <div class="example-loading-shade" *ngIf="isLoadingResults || isRateLimitReached">
            <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
            <div class="example-rate-limit-reached" *ngIf="isRateLimitReached">
                The API request limit has reached its limit. It will be reset in one minute.
            </div>
        </div>
        <table mat-table [dataSource]="data">
            <ng-container matColumnDef="symbol">
                <th mat-header-cell *matHeaderCellDef> Symbol </th>
                <td mat-cell *matCellDef="let element"> {{element.symbol}} </td>
            </ng-container>

            <ng-container matColumnDef="currentPrice">
                <th mat-header-cell *matHeaderCellDef> Current Price</th>
                <td mat-cell *matCellDef="let element"> {{element.currentPrice | currency: 'BRL':'symbol':'2.2-2'}}
                </td>
            </ng-container>

            <ng-container matColumnDef="action">
                <th mat-header-cell *matHeaderCellDef> Action </th>
                <td mat-cell *matCellDef="let element">
                    <button mat-raised-button color="primary" class="push-right" (click)="createStockOrder(element)">
                        <mat-icon matListIcon>shopping_cart</mat-icon>
                    </button>
                </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>

    </div>
</div>